{% extends "base_generic.html" %}
{% block title %}
    Grades
{% endblock title %}
{% block content %}
    <div class="row justify-content-center mb-5">
        <div class="col-md-6">
            <ul>
                <li>Course: {{ course.title }}</li>
                <li>Assessment: {{ assessment.title }}</li>
            </ul>
        </div>
    </div>
    <div class="row justify-content-center mb-5">
        <div class="col-md-6">
            {% if object_list %}
                <table class="table table-striped table-bordered table-hover">
                    <thead>
                        <tr>
                            <th scope="col">Student</th>
                            <th scope="col">Grade</th>
                            <th scope="col">Edit</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for grade in object_list %}
                            <tr>
                                <td>{{ grade.student }}</td>
                                <td>{{ grade.grade }}</td>
                                <td>
                                    <a {% if user.is_authenticated and user.is_teacher %} class="btn btn-success" {% else %} class="btn btn-success disabled" {% endif %}
                                       role="button"
                                       href="{% url 'myg:assessment-grade-update' course_id=course.id assessment_id=assessment.id pk=grade.id %}">
                                        <i class="fa-solid fa-edit"></i>
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>No Assessments are available.</p>
            {% endif %}
        </div>
    </div>
{% endblock content %}
